Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::v3::view::delimit_fn Struct Reference
Inheritance diagram for ranges::v3::view::delimit_fn:

## Synopsis of methods
constexpr delimit_fn | delimit {}

## Public Member Functions
template<typename I_ , typename Val , typename I = detail::decay_t<I_>, requires = (!Range<I_>() && ConvertibleTo<I_, I>() && InputIterator<I>() && SemiRegular<Val>() && EqualityComparable<Val, reference_t<I>>())>
delimit_view< iterator_range< I, unreachable >, Val > | operator() (I_ &&begin_, Val value) const
Public Member Functions inherited from ranges::v3::view::view< delimit_impl_fn >
auto | operator() (Rng &&rng, Rest &&... rest) const -> decltype(view_(static_cast< Rng && >(rng), static_cast< Rest && >(rest)...))
auto | operator() (Ts &&... ts) const -> decltype(make_view(view_access::impl< V >::bind(view_, static_cast< Ts && >(ts)...)))
| view (delimit_impl_fn a)